Bug 852363 - RFE: VMWare ESX support for virt-install
RFE: VMWare ESX support for virt-install
Status: CLOSED DEFERRED
Product: Virtualization Tools
Classification: Community
Component: virt-manager (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Cole Robinson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-28 05:29 EDT by Filip Skola
Modified: 2016-05-05 00:40 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-26 17:46:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
allow-ESX-virt-install (1.41 KB, patch)
2012-09-24 07:13 EDT, Filip Skola
no flags Details | Diff

  None (edit)
Description Filip Skola 2012-08-28 05:29:33 EDT
Description of problem:

Please add virt-install support for VMWare ESX guests.
Comment 1 Filip Skola 2012-09-24 07:13:18 EDT
Created attachment 616479 [details]
allow-ESX-virt-install

I assume this one won't be any useful for the project, but somebody who'd need virt-install for ESX right now could appreciate it. Fixes volume name parsing and invoking another guest defining method in favour of esx.
Comment 2 Cole Robinson 2012-10-01 20:25:07 EDT
Thanks for the patch, even if it's a rough start. Hopefully it's a jumping off for someone. Moving this to the upstream tracker
Comment 3 Cole Robinson 2013-04-21 15:12:23 EDT
virtinst has been merged into virt-manager.git. Moving all virtinst bugs to the virt-manager component.
Comment 4 Cole Robinson 2016-04-26 17:46:10 EDT
vmware ESX's storage support is really bizarre, it will likely be a lot of work to implement this in virt-install and I don't think this RFE is going to motivate it to happen. Closing as DEFERRED, but if anyone wants to work on this, please bring it up on virt-tools-list

Note You need to log in before you can comment on or make changes to this bug.